{ stdenv, xorg, jdk, mesa, openal, ... }:

stdenv.mkDerivation {
  name = "technic";
  src = ./TechnicLauncher.jar;
  buildInputs = with xorg; [ libX11 libXext libXcursor libXrandr libXxf86vm jdk mesa openal ];
  buildCommand = ''
    mkdir -pv $out/libexec/ $out/bin/
    cp -v $src $out/libexec/TechnicLauncher.jar

    RESULT=
    for x in $nativeBuildInputs; do
      RESULT=$x/lib/:$RESULT
    done

    cat <<EOF > $out/bin/technic
    #!${stdenv.shell}
    export LD_LIBRARY_PATH=$RESULT
    export GAME_LIBRARY_PATH=$RESULT
    exec ${jdk}/bin/java -jar $out/libexec/TechnicLauncher.jar
    EOF

    chmod +x $out/bin/technic
  '';
}
