packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.gksu
        nixpkgs.xfontsel
    ];

    fonts = {
        fontconfig = {
            enable = true;
        };

        enableFontDir = true;
        enableCoreFonts = true;
        enableGhostscriptFonts = true;

        fonts = with packages ; [
            nixpkgs.liberation_ttf
            nixpkgs.ttf_bitstream_vera
            nixpkgs.dejavu_fonts
            nixpkgs.terminus_font
            nixpkgs.bakoma_ttf
            nixpkgs.bakoma_ttf
            nixpkgs.ubuntu_font_family
            nixpkgs.vistafonts
            nixpkgs.unifont
            nixpkgs.freefont_ttf
        ];
    };

    hardware = {
        opengl.driSupport32Bit = true;
    };

    services = {
        xserver = {
            enable = true;
            layout = "us";
            xkbOptions = "eurosign:e, caps:backspace";

            displayManager = {
                lightdm = {
                    enable = true;
                };
            };
        };

        # We need accounts-daemon for lightdm to work correctly.
        accounts-daemon = {
            enable = true;
        };
    };
}
