packages: {config, ...}: {
    environment.systemPackages = with packages; [
        # XFCE tools
        nixpkgs.xfce.xfce4taskmanager
        nixpkgs.xfce.gigolo
        nixpkgs.xfce.xfce4_systemload_plugin
        nixpkgs.xfce.xfce4_cpufreq_plugin
        nixpkgs.xfce.xfce4_whiskermenu_plugin
        nixpkgs.xfce.xfce4_cpugraph_plugin
        nixpkgs.xfce.xfce4_fsguard_plugin
        nixpkgs.xfce.xfce4_datetime_plugin
        nixpkgs.xfce.xfce4_netload_plugin
        nixpkgs.xfce.xfce4_systemload_plugin
        nixpkgs.xfce.xfce4_verve_plugin
        nixpkgs.xfce.xfce4_xkb_plugin

        # GNOME applications
        nixpkgs.gnome3.file-roller

        # GTK themes
        nixpkgs.blackbird
        nixpkgs.greybird
        nixpkgs.arc-theme
        nixpkgs.arc-icon-theme
        nixpkgs.gtk-engine-murrine
        #nixpkgs.arc-gtk-theme

        # GNOME/GTK internals
        nixpkgs.gnome3.dconf
        nixpkgs.gnome3.dconf-editor
        nixpkgs.polkit_gnome
    ];

    services = {
        xserver.desktopManager.xfce = {
            enable = true;
            thunarPlugins = with packages; [
                nixpkgs.xfce.thunar-archive-plugin
                nixpkgs.xfce.thunar_volman
            ];
        };

        udisks2 = {
            enable = true;
        };
    };
}
