packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.openssl
        nixpkgs.cacert
        nixpkgs.fuse
        nixpkgs.bashCompletion

        nixpkgs.nix-repl
        nixpkgs.xorg.xmodmap

        nixpkgs.python

        nixpkgs.file
        nixpkgs.tree

        nixpkgs.zip
        nixpkgs.unzip
        nixpkgs.unrar

        nixpkgs.ag
        nixpkgs.jq
        nixpkgs.nano

        nixpkgs.screen
        nixpkgs.tmux
    ];

    nixpkgs.config = {
        allowUnfree = true;
    };

    nix = {
        gc = {
            automatic = true;
            dates = "00:00";
        };
    };

    system.autoUpgrade.enable = true;

    security = {
        sudo.configFile = ''
            Defaults targetpw
            ALL     ALL=(ALL) ALL
        '';
    };

    i18n = {
        consoleFont = "Lat2-Terminus16";
        consoleKeyMap = "us";
        defaultLocale = "en_US.UTF-8";
    };

    time.timeZone = "Europe/Amsterdam";

    boot = {
        plymouth.enable = true;
    };
}
